{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/property_owner/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/property_owner/overview') }}
{% endblock %}

{% block buildingUnitHeaderContent %}
    <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }}</span>
    {% if is_granted('edit', buildingUnit) == true %}
        <a href="{{ path('property_vacancy_management_building_unit_property_owner_create', {'buildingUnitId': buildingUnit.getId()}) }}" class="mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center">
            <i class="material-icons me-3">add</i>
            <span class="mdc-button__label">Eigentümer anlegen</span>
        </a>
    {% endif %}
{% endblock %}

{% block main %}
    <div class="container-fluid mt-4">
        <div class="mdc-card mb-4">
            <div class="accordion">
                <div class="accordion-item">
                    <h2 class="accordion-header">
                        <button class="accordion-button fs-5" type="button" data-coreui-toggle="collapse" data-coreui-target="#property_user_content" aria-expanded="true" aria-controls="property_user_content">
                            Liste der Eigentümer:innen
                        </button>
                    </h2>
                    <div id="property_user_content" class="accordion-collapse collapse show">
                        <div class="d-flex flex-column">
                            {% include 'property_vacancy_management/component/property/property_owner_list_component.html.twig' with {
                                'idPrefix': 'building_unit_property_owner_overview_',
                                'listItems': buildingUnit.getPropertyOwners(),
                                'showActionButton': is_granted('view', buildingUnit),
                                'massOperation': false,
                                'pagination': false,
                                'sortable': false,
                                'routeName': 'property_vacancy_management_building_unit_property_owner_edit',
                                'parameters': {'buildingUnitId': buildingUnit.getId()}
                            } only %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="mdc-card mb-4">
            <div class="accordion">
                <div class="accordion-item">
                    <h2 class="accordion-header">
                        <button class="accordion-button fs-5" type="button" data-coreui-toggle="collapse" data-coreui-target="#property_owner_correspondence_content" aria-expanded="true" aria-controls="property_owner_correspondence_content">
                            Eigentümerkorrespondenz
                        </button>
                    </h2>
                    <div id="property_owner_correspondence_content" class="accordion-collapse collapse show">
                        <div class="g-3">
                            {% include 'component/mdc_tab_bar_component.html.twig' with {
                                'id': 'building_unit_property_owner_correspondence_tab_bar',
                                'tabs': [
                                    {'name': 'Vorgänge', 'id': 'building_unit_property_owner_correspondence_occurrence_tab', 'active': true},
                                    {'name': 'Feedback', 'id': 'building_unit_property_owner_correspondence_feedback_tab', 'active': false},
                                    {'name': 'Vorlagen', 'id': 'building_unit_property_owner_correspondence_document_template_tab', 'active': false}
                                ]
                            } only %}
                        </div>
                        <div id="property_owner_correspondence_occurrence_content" class="d-flex flex-column">
                            {% if buildingUnit.getPropertyOwners()|length > 0 %}
                                {% if is_granted('edit', buildingUnit) == true %}
                                    <div class="p-3">
                                        <a href="{{ path('property_vacancy_management_building_unit_property_owner_occurrence_create', {'buildingUnitId': buildingUnit.getId()}) }}" class="mdc-button mdc-button--raised mdc-ripple-surface--accent">
                                            <i class="material-icons me-3">add</i>
                                            <span class="mdc-button__label">Vorgang eintragen</span>
                                        </a>
                                    </div>
                                {% endif %}
                            {% endif %}
                            {% include 'person_management/component/occurrence/occurrence_list_component.html.twig' with {
                                'idPrefix': 'occurrence_',
                                'listItems': occurrences,
                                'routeName': 'property_vacancy_management_building_unit_property_owner_occurrence_edit',
                                'parameters': {'buildingUnitId': buildingUnit.getId()},
                                'showActionButton': is_granted('ROLE_RESTRICTED_VIEWER') == false,
                                'massOperation': false,
                                'pagination': false,
                                'sortable': false
                            } only %}
                        </div>
                        <div id="property_owner_correspondence_feedback_content" class="d-none">
                            <div id="building_unit_feedback_container" data-building-unit-id="{{ buildingUnit.getId() }}" class="p-3">
                                {% include 'feedback/component/feedback_component.html.twig' with {
                                    'idPrefix': 'building_unit_',
                                    'feedbackGroups': feedbackGroups,
                                    'givenFeedbacks': buildingUnitFeedbacks,
                                    'canEdit': is_granted('edit', buildingUnit)
                                } only %}
                            </div>
                        </div>
                        <div id="property_owner_correspondence_document_template_content" class="d-none">
                            <div class="p-3">
                                {% include 'property_vacancy_management/component/document_template/document_template_component.html.twig' with {
                                    'documentTemplates': documentTemplates
                                } only %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
